/*************************************************************************
Title:    testing output to a HD44780 based LCD display.
Author:   Peter Fleury  <pfleury@gmx.ch>  http://jump.to/fleury
File:     $Id: test_lcd.c,v 1.6 2004/12/10 13:53:59 peter Exp $
Software: AVR-GCC 3.3
Hardware: HD44780 compatible LCD text display
          ATS90S8515/ATmega if memory-mapped LCD interface is used
          any AVR with 7 free I/O pins if 4-bit IO port mode is used
**************************************************************************/
#define	__AVR_ATmega8__	1
#define F_CPU 8000000UL
#include <stdlib.h>
#include <stdio.h>
#include <ctype.h>
#include "string.h"
#include <inttypes.h>
#include <avr/io.h>
#include <avr/pgmspace.h>
#include <avr/interrupt.h>
#include <util/delay.h>
#include "SimpleADC.h"
#include "lcd.h"


void initLCD(void){
	// LCD-Nex t-Button:
    DDRD &=~ (1 << PD2);        /* Pin PD2 input              */
    PORTD |= (1 << PD2);        /* Pin PD2 pull-up enabled    */


    /* initialize display, cursor off */
    lcd_init(LCD_DISP_ON);
}

int main(void){
    char buffer[4];

	// TastennummerN: Links: 339; Enter 448; Rechts: 224
    unsigned long num=0;
    unsigned char i;
    
	initLCD();

	DDRC = (1<<PC0) | (1<<PC1) | (1<<PC2);// | (1<<PC0);
	PORTC = (1<<PC1) | (1<<PC2);

    while(1) {
		
		lcd_clrscr();
		num=ReadChannel(PC0);
		ltoa(num, buffer, 10);
		lcd_puts( buffer+0 );
		lcd_puts("\n");
		num=0;
		_delay_ms(1000);
    }
}
